%define name	gtk--
%define version	1.0.0
%define release	5
%define serial	2
%define prefix	/usr

ExcludeArch: alpha

Summary: A C++ interface for the GTK+ (a GUI library for X).
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	LGPL
Group: System Environment/Libraries
URL:		http://www.iki.fi/terop/gtk/gtk--.html
Source:		ftp://ftp.gtk.org/pub/gtk/gtk--/Gtk---%{version}.tar.gz
Patch:		gtkmm_1_0_patch_itemfactory.txt
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library.  The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented framework.
Features include type safe callbacks, widgets that are extensible using
inheritance and over 110 classes that can be freely combined to quickly
create complex user interfaces.

%package	devel
Summary: Headers for developing programs that will use Gtk--.
Serial:		%{serial}
Group: Development/Libraries
Requires:	%{name}

%description	devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+
(the Gimp ToolKit) GUI library.

%prep
%setup -q -n Gtk---%{version}
cd src;
%patch -p1 -b .patch
cd ..;

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{prefix} --disable-static
else
  %configure --disable-static
fi
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make DESTDIR=$RPM_BUILD_ROOT install

# Remove makefiles from doc dirs
rm `find docs -type f -name Makefile\*`
rm `find docs -type f -name \*.3`
rm `find html -type f -name Makefile\*`

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/lib/*.so.*

%files	devel
%defattr(-, root, root)
%doc examples html docs AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/include/*.h
%{prefix}/include/gdk--
%{prefix}/include/gnome--
%{prefix}/include/gtk--
%{prefix}/lib/*.sh
%{prefix}/lib/*.so
%{prefix}/lib/Gtk--
%{prefix}/man/man3/*
%{prefix}/share/aclocal/gtk--.m4

%changelog
* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- excludearch alpha

* Tue Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for cdrdao
